[Unit]
Description=DHCP RELAY for {{ tenants.l3domain[item].dhcp_server }} at VRF {{ item }}
Documentation=man:dhcrelay(8)
After=network-online.target networking.service syslog.service

{%- set relay_vlans = [] %}
{%- for vlan in tenants.l2domain %}
{%- if tenants.l2domain[vlan].svi.l3domain == item %}
{%- if tenants.l2domain[vlan].dhcp_relay %}
{{ relay_vlans.append(tenants.l2domain[vlan].id) }}
{% endif -%}
{% endif -%}
{% endfor -%}

[Service]
Type=simple
ExecStart=/bin/ip vrf exec {{item}} \
          /usr/sbin/dhcrelay --nl -d \
          -i vlan{{ relay_vlans | join(' -i vlan') }} \
          -i vlan{{ tenants.l3domain[item].id }} \
          {{ tenants.l3domain[item].dhcp_server }} \
          -U {{devices[inventory_hostname].vrfs[item].ipv4|ipaddr('address')}}%%{{item}}

[Install]
WantedBy=multi-user.target
